%define	name	man-pages-fun
%define	archive	funny-manpages
%define	version	1.3
%define	release	%mkrel 8

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Funny man pages
License:	Public Domain
Group:		System/Internationalization
URL:		http://packages.debian.org/stable/doc/funny-manpages.html
Source0:	%{archive}_%{version}.orig.tar.bz2
Patch:		%{archive}_%{version}-4.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
Obsoletes:	%{archive}
Provides:	%{archive}

%description
This is a set of funny man pages from a Debian package.

This package is in PLF because of its explicit content.

%prep
%setup -n %{archive}-%{version}.orig
%patch -p1

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_mandir}/man1fun
install -d -m 755 %{buildroot}%{_mandir}/man3fun
install -d -m 755 %{buildroot}%{_mandir}/man6fun
install -m 644 *.1fun %{buildroot}%{_mandir}/man1fun
install -m 644 *.3fun %{buildroot}%{_mandir}/man3fun
install -m 644 *.6fun %{buildroot}%{_mandir}/man6fun

%clean
rm -rf %{buildroot}

%post
perl -pi -e 's|^MANSECT(\s+)(\S+)|MANSECT$1$2:1fun:3fun:6fun|' %{_sysconfdir}/man.config

%postun
perl -pi -e 's|^MANSECT(\s+)(\S+):1fun:3fun:6fun|MANSECT$1$2|' %{_sysconfdir}/man.config

%files
%defattr(-,root,root)
%doc debian/changelog debian/copyright debian/README.Debian
%{_mandir}/man1fun
%{_mandir}/man3fun
%{_mandir}/man6fun

%changelog
* Wed Sep 13 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.3-8mdv2007.0
- Rebuild

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.3-7plf
- spec cleanup 

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.3-6plf
- fix license
- PLF reason

* Sat Jun 14 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.3-5plf
- directly change man configuration file 

* Mon May 12 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.3-4plf
- added obsoletes tag

* Wed May 07 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.3-3plf
- renamed to %{name}
- automatic man path configuration

* Fri Apr 18 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.3-2plf
- switched to %{_mandir}/man?fun to avoid conflicts

* Wed Feb 12 2003 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.3-1plf
- first PLF release 
